Bug 1265847 - Policy for rt-mailgate [NEEDINFO]
Policy for rt-mailgate
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 18:27 EDT by Jason Tibbitts
Modified: 2017-08-08 08:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:16:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (tibbs)


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2015-09-23 18:27:02 EDT
Bringing up a new RT server, I have the following AVCs repeated for each invocation of the rt-mailgate script:

time->Wed Sep 23 13:46:29 2015
type=AVC msg=audit(1443033989.858:436): avc:  denied  { execute } for  pid=23304 comm="exim" name="rt-mailgate" dev="dm-0" ino=10049 scontext=system_u:system_r:exim_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file permissive=1
----
time->Wed Sep 23 13:46:29 2015
type=AVC msg=audit(1443033989.858:437): avc:  denied  { execute_no_trans } for  pid=23304 comm="exim" path="/usr/bin/rt-mailgate" dev="dm-0" ino=10049 scontext=system_u:system_r:exim_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file permissive=1
----
time->Wed Sep 23 13:46:30 2015
type=AVC msg=audit(1443033990.032:438): avc:  denied  { name_connect } for  pid=23304 comm="rt-mailgate" dest=443 scontext=system_u:system_r:exim_t:s0 tcontext=system_u:object_r:http_port_t:s0 tclass=tcp_socket permissive=1

I happen to be running Exim on this server, but I suspect postfix or any other MTA would have the same issue.  rt-mailgate is intended to be called by the MTA in order to feed an email message into the RT system.  It will in turn connect to the RT server (which could be either localhost or remote) via http or https to inject the message.

I know I can just audit2allow these messages, but since rt has been in Fedora for ages and there is already some support for it in policy it seems to make the most sense to actually have that support be complete.  I have been working with grift on IRC who gave me a few hints on working up a policy for this but I don't have anything actually working at this point.  If I do I'll attach it here.

Also, this is pretty much the same issue as https://bugzilla.redhat.com/show_bug.cgi?id=485537, though the path of the executable has changed (from sbin to bin).
Comment 1 Miroslav Grepl 2015-10-12 07:57:39 EDT
Could you attach your work on it?

Thank you.
Comment 2 Jan Kurik 2016-02-24 10:54:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:18:46 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:16:03 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.